summaryrefslogtreecommitdiffstats
path: root/libraries/ogre/ogre.SlackBuild
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2022-04-20 13:07:25 -0400
committer B. Watson <yalhcru@gmail.com>2022-04-20 13:07:25 -0400
commit9746a1a4ea625a90ca11a2611f1a5ff2bb548381 (patch)
treecabd60a719d050d08c1e8133edaa1bac5c83928d /libraries/ogre/ogre.SlackBuild
parent76a739049395dbe49e00f86bd27731159624a276 (diff)
downloadslackbuilds-9746a1a4ea625a90ca11a2611f1a5ff2bb548381.tar.gz
slackbuilds-9746a1a4ea625a90ca11a2611f1a5ff2bb548381.tar.xz
libraries/ogre: Fix docs.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'libraries/ogre/ogre.SlackBuild')
-rw-r--r--libraries/ogre/ogre.SlackBuild24
1 files changed, 15 insertions, 9 deletions
diff --git a/libraries/ogre/ogre.SlackBuild b/libraries/ogre/ogre.SlackBuild
index ce86205390..d5311de09e 100644
--- a/libraries/ogre/ogre.SlackBuild
+++ b/libraries/ogre/ogre.SlackBuild
@@ -24,22 +24,25 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# 20210215 bkw: modified by SlackBuilds.org: force-disable the assimp
-# plugin. Our assimp is too old (or too new?) for this version of
-# ogre. This allows ogre to be built on a system where assimp is
-# installed.
+# 20220420 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - move docs to proper Slackware doc dir.
# 20220214 bkw: Modified by SlackBuilds.org again: ogre-13.2.4 really
# wants imgui-1.85 (not 1.86; it was failing to build with that). Also,
# we can use assimp now, so get rid of -DOGRE_BUILD_PLUGIN_ASSIMP=FALSE.
# It will be autodetected, the build will succeed with or without it.
+# 20210215 bkw: modified by SlackBuilds.org: force-disable the assimp
+# plugin. Our assimp is too old (or too new?) for this version of
+# ogre. This allows ogre to be built on a system where assimp is
+# installed.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=ogre
VERSION=${VERSION:-13.2.4}
IMGUIVER=${IMGUIVER:-1.85}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -113,16 +116,19 @@ cd build
-DOGRE_BUILD_COMPONENT_CSHARP=FALSE \
../
make
- make install DESTDIR=$PKG
+ make install/strip DESTDIR=$PKG
cd -
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+if [ -e $PKG/usr/share/doc/OGRE ]; then
+ mv $PKG/usr/share/doc/OGRE/* $PKG/usr/doc/$PRGNAM-$VERSION
+fi
+rm -rf $PKG/usr/share/doc
+rmdir $PKG/usr/doc/$PRGNAM-$VERSION/api &>/dev/null || true
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc